| Class BamIOContext The I/O context to use for BAM I/O. BamIOContext<TNameStore[, TNameStoreCache]> Include Headers bam_io.h Parameters
TNameStore | The name store class.
TNameStoreCache | The name store cache class. Default: NameStoreCache<TNameStore>
Typedefs
TNameStore | The name store class.
TNameStoreCache | The name store cache class.
Member Functions
BamIOContext | Constructor.
Functions
jumpToOrphans | Seek to orphans block in BAM BGZF stream using an index.
jumpToRegion | Seek in BAM BGZF stream using an index.
nameStore | Return reference to name store from BamIOContext.
nameStoreCache | Return reference to name store cache from BamIOContext.
readRecord | reads one record (e.g. a single DNA-sequence and its meta data) from a StreamConcept, by the means of RecordReader
Examples Creating a BamIOContext for a raw StringSet of CharString. StringSet<CharString> nameStore; NameStoreCache<StringSet<CharString> > nameStoreCache(nameStore); BamIOContext<StringSet<CharString> > bamIOContext(nameStore, nameStoreCache); // ... Using a BamIOContext with a FragmentStore. typedef FragmentStore<>::TContigNameStore TNameStore; typedef NameStoreCache<TNameStore> TNameStoreCache; FragmentStore<> store; // Optionally, do something with store. typedef BamIOContext<TNameStore, TNameStoreCache> TBamIOContext; TBamIOContext bamIOContext(store.contigNameStore, store.contigNameStoreCache); // ... SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56